%define __libtoolize    /bin/true
%define __cputoolize    /bin/true

%define	name	kplayer
%define	version	0.5.3
%define release	%mkrel 2

%define section Multimedia/Video
%define title   KPlayer
%define longtitle Player frontend for KDE


Summary:        %{longtitle}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
Url:		http://kplayer.sourceforge.net/
Source:	        http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2	
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libarts-devel libaudiofile-devel libalsa-devel libvorbis-devel
BuildRequires:	libmad-devel nas-devel zlib-devel
BuildRequires:	kdelibs-devel libart_lgpl-devel	fam-devel libqt-devel
BuildRequires:	arts
Requires:	mplayer
Requires:       kdelibs-common


%description
KPlayer is a KDE media player based on MPlayer. With KPlayer 
you can easily play a wide variety of video and audio files 
and streams using a rich and friendly interface that
follows KDE standards.

Features include

    * video, audio and subtitle playback from file,
       URL, DVD, VCD, audio CD, TV, DVB, etc.,
       as well as KDE I/O Slaves;
    * volume, contrast, brightness, hue and saturation controls;
    * zooming, full screen and fixed aspect options;
    * status and progress display and seeking;
    * playlist;
    * message log;
    * configuration dialog;
    * file properties for setting file specific options.

KPlayer is available in Catalonian, Czech, Danish, English,
Finnish, French, German, Hungarian, Italian, Polish, Russian, 
Simplified Chinese and Spanish. 

%prep
%setup -q -n %{name}-%version

%build
%configure2_5x --disable-rpath

%make



%install
rm -rf $RPM_BUILD_ROOT


%makeinstall

rm -f  $RPM_BUILD_ROOT/%{_datadir}/services/rtsp.protocol
rm -f  $RPM_BUILD_ROOT/%{_datadir}/services/mms.protocol

%find_lang %{name}

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="%{title}"\
longtitle="%{longtitle}"\
needs="x11"\
icon="%{name}.png"\
section="%{section}"
EOF

#Menu icons
install -D -m 644 kplayer/hi16-app-%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 kplayer/hi32-app-%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 kplayer/hi32-app-%{name}.png %{buildroot}%{_liconsdir}/%{name}.png


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_menudir}/kplayer
%{_datadir}/icons/kplayer.png
%{_datadir}/icons/large/kplayer.png
%{_datadir}/icons/mini/kplayer.png
%{_bindir}/kplayer
%{_libdir}/kde3/kfile_kplayer.la
%{_libdir}/kde3/kfile_kplayer.so
%{_libdir}/kde3/libkplayerpart.la
%{_libdir}/kde3/libkplayerpart.so
%{_datadir}/applnk/Multimedia/kplayer.desktop
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/brightness.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/contrast.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/fileopen.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/fileopenurl.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/hue.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/lock.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/loop.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/mute.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/player_fwd.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/player_pause.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/player_play.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/player_rew.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/player_stop.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/properties.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/saturation.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/shuffle.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/viewmag+.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/viewmag-.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/viewmagfit.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/volume.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/window_fullscreen.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/brightness.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/contrast.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/fileopen.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/fileopenurl.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/hue.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/lock.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/loop.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/mute.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/player_fwd.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/player_pause.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/player_play.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/player_rew.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/player_stop.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/properties.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/saturation.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/shuffle.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/viewmag+.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/viewmag-.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/viewmagfit.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/volume.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/window_fullscreen.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/brightness.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/contrast.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/fileopen.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/fileopenurl.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/hue.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/lock.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/loop.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/mute.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/player_fwd.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/player_pause.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/player_play.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/player_rew.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/player_stop.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/properties.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/saturation.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/shuffle.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/viewmag+.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/viewmag-.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/viewmagfit.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/volume.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/window_fullscreen.png
%{_datadir}/apps/kplayer/input.conf
%{_datadir}/apps/kplayer/kplayerpartui.rc
%{_datadir}/apps/kplayer/kplayerui.rc
%{_datadir}/icons/hicolor/16x16/apps/kplayer.png
%{_datadir}/icons/hicolor/22x22/apps/kplayer.png
%{_datadir}/icons/hicolor/32x32/apps/kplayer.png
%{_datadir}/icons/hicolor/48x48/apps/kplayer.png
%{_datadir}/icons/hicolor/64x64/apps/kplayer.png
%{_datadir}/icons/locolor/16x16/apps/kplayer.png
%{_datadir}/icons/locolor/22x22/apps/kplayer.png
%{_datadir}/icons/locolor/32x32/apps/kplayer.png
%{_datadir}/services/kfile_kplayer.desktop
%{_datadir}/services/kplayerpart.desktop
%{_datadir}/services/mmst.protocol
%{_datadir}/services/mmsu.protocol
%{_datadir}/services/pnm.protocol
%{_datadir}/doc/HTML/en/kplayer/basics.docbook
%{_datadir}/doc/HTML/en/kplayer/commands.docbook
%{_datadir}/doc/HTML/en/kplayer/common
%{_datadir}/doc/HTML/en/kplayer/configuration.docbook
%{_datadir}/doc/HTML/en/kplayer/dvd-bear.png
%{_datadir}/doc/HTML/en/kplayer/howto-bug-reporting.docbook
%{_datadir}/doc/HTML/en/kplayer/howto-compilation.docbook
%{_datadir}/doc/HTML/en/kplayer/howto-configuration.docbook
%{_datadir}/doc/HTML/en/kplayer/howto-devices.docbook
%{_datadir}/doc/HTML/en/kplayer/howto-full-screen.docbook
%{_datadir}/doc/HTML/en/kplayer/howto-installation.docbook
%{_datadir}/doc/HTML/en/kplayer/howto-playlist.docbook
%{_datadir}/doc/HTML/en/kplayer/howto-properties.docbook
%{_datadir}/doc/HTML/en/kplayer/howto-settings.docbook
%{_datadir}/doc/HTML/en/kplayer/howto-slaves.docbook
%{_datadir}/doc/HTML/en/kplayer/howto-streams.docbook
%{_datadir}/doc/HTML/en/kplayer/howto-subtitles.docbook
%{_datadir}/doc/HTML/en/kplayer/howto-translation.docbook
%{_datadir}/doc/HTML/en/kplayer/howto-troubleshooting.docbook
%{_datadir}/doc/HTML/en/kplayer/howto.docbook
%{_datadir}/doc/HTML/en/kplayer/index.cache.bz2
%{_datadir}/doc/HTML/en/kplayer/index.docbook
%{_datadir}/doc/HTML/en/kplayer/introduction.docbook
%{_datadir}/doc/HTML/en/kplayer/properties-advanced.png
%{_datadir}/doc/HTML/en/kplayer/properties-audio.png
%{_datadir}/doc/HTML/en/kplayer/properties-general.png
%{_datadir}/doc/HTML/en/kplayer/properties-subtitles.png
%{_datadir}/doc/HTML/en/kplayer/properties-video.png
%{_datadir}/doc/HTML/en/kplayer/properties.docbook
%{_datadir}/doc/HTML/en/kplayer/settings-advanced.png
%{_datadir}/doc/HTML/en/kplayer/settings-audio.png
%{_datadir}/doc/HTML/en/kplayer/settings-brightness.png
%{_datadir}/doc/HTML/en/kplayer/settings-contrast.png
%{_datadir}/doc/HTML/en/kplayer/settings-controls.png
%{_datadir}/doc/HTML/en/kplayer/settings-general.png
%{_datadir}/doc/HTML/en/kplayer/settings-hue.png
%{_datadir}/doc/HTML/en/kplayer/settings-messages.png
%{_datadir}/doc/HTML/en/kplayer/settings-playlist.png
%{_datadir}/doc/HTML/en/kplayer/settings-progress.png
%{_datadir}/doc/HTML/en/kplayer/settings-saturation.png
%{_datadir}/doc/HTML/en/kplayer/settings-sliders.png
%{_datadir}/doc/HTML/en/kplayer/settings-subtitles.png
%{_datadir}/doc/HTML/en/kplayer/settings-video.png
%{_datadir}/doc/HTML/en/kplayer/settings-volume.png
%{_datadir}/doc/HTML/en/kplayer/settings.docbook
%{_datadir}/doc/HTML/en/kplayer/shortcuts-configure.png
%{_datadir}/doc/HTML/en/kplayer/shortcuts-define.png
%{_datadir}/doc/HTML/da/kplayer/basics.docbook
%{_datadir}/doc/HTML/da/kplayer/commands.docbook
%{_datadir}/doc/HTML/da/kplayer/common
%{_datadir}/doc/HTML/da/kplayer/configuration.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-bug-reporting.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-compilation.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-configuration.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-devices.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-full-screen.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-installation.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-playlist.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-properties.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-settings.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-slaves.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-streams.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-subtitles.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-translation.docbook
%{_datadir}/doc/HTML/da/kplayer/howto-troubleshooting.docbook
%{_datadir}/doc/HTML/da/kplayer/howto.docbook
%{_datadir}/doc/HTML/da/kplayer/index.cache.bz2
%{_datadir}/doc/HTML/da/kplayer/index.docbook
%{_datadir}/doc/HTML/da/kplayer/introduction.docbook
%{_datadir}/doc/HTML/da/kplayer/properties.docbook
%{_datadir}/doc/HTML/da/kplayer/settings.docbook
%{_datadir}/doc/HTML/pt/kplayer/basics.docbook
%{_datadir}/doc/HTML/pt/kplayer/commands.docbook
%{_datadir}/doc/HTML/pt/kplayer/common
%{_datadir}/doc/HTML/pt/kplayer/configuration.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-bug-reporting.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-compilation.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-configuration.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-devices.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-full-screen.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-installation.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-playlist.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-properties.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-settings.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-slaves.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-streams.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-subtitles.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-translation.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto-troubleshooting.docbook
%{_datadir}/doc/HTML/pt/kplayer/howto.docbook
%{_datadir}/doc/HTML/pt/kplayer/index.cache.bz2
%{_datadir}/doc/HTML/pt/kplayer/index.docbook
%{_datadir}/doc/HTML/pt/kplayer/introduction.docbook
%{_datadir}/doc/HTML/pt/kplayer/properties.docbook
%{_datadir}/doc/HTML/pt/kplayer/settings.docbook
%{_datadir}/doc/HTML/sv/kplayer/basics.docbook
%{_datadir}/doc/HTML/sv/kplayer/commands.docbook
%{_datadir}/doc/HTML/sv/kplayer/common
%{_datadir}/doc/HTML/sv/kplayer/configuration.docbook
%{_datadir}/doc/HTML/sv/kplayer/dvd-bear.png
%{_datadir}/doc/HTML/sv/kplayer/howto-bug-reporting.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto-compilation.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto-configuration.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto-devices.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto-full-screen.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto-installation.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto-playlist.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto-properties.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto-settings.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto-slaves.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto-streams.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto-subtitles.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto-translation.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto-troubleshooting.docbook
%{_datadir}/doc/HTML/sv/kplayer/howto.docbook
%{_datadir}/doc/HTML/sv/kplayer/index.cache.bz2
%{_datadir}/doc/HTML/sv/kplayer/index.docbook
%{_datadir}/doc/HTML/sv/kplayer/introduction.docbook
%{_datadir}/doc/HTML/sv/kplayer/properties-advanced.png
%{_datadir}/doc/HTML/sv/kplayer/properties-audio.png
%{_datadir}/doc/HTML/sv/kplayer/properties-general.png
%{_datadir}/doc/HTML/sv/kplayer/properties-subtitles.png
%{_datadir}/doc/HTML/sv/kplayer/properties-video.png
%{_datadir}/doc/HTML/sv/kplayer/properties.docbook
%{_datadir}/doc/HTML/sv/kplayer/settings-advanced.png
%{_datadir}/doc/HTML/sv/kplayer/settings-audio.png
%{_datadir}/doc/HTML/sv/kplayer/settings-brightness.png
%{_datadir}/doc/HTML/sv/kplayer/settings-contrast.png
%{_datadir}/doc/HTML/sv/kplayer/settings-controls.png
%{_datadir}/doc/HTML/sv/kplayer/settings-general.png
%{_datadir}/doc/HTML/sv/kplayer/settings-hue.png
%{_datadir}/doc/HTML/sv/kplayer/settings-messages.png
%{_datadir}/doc/HTML/sv/kplayer/settings-playlist.png
%{_datadir}/doc/HTML/sv/kplayer/settings-progress.png
%{_datadir}/doc/HTML/sv/kplayer/settings-saturation.png
%{_datadir}/doc/HTML/sv/kplayer/settings-sliders.png
%{_datadir}/doc/HTML/sv/kplayer/settings-subtitles.png
%{_datadir}/doc/HTML/sv/kplayer/settings-video.png
%{_datadir}/doc/HTML/sv/kplayer/settings-volume.png
%{_datadir}/doc/HTML/sv/kplayer/settings.docbook
%{_datadir}/doc/HTML/sv/kplayer/shortcuts-configure.png
%{_datadir}/doc/HTML/sv/kplayer/shortcuts-define.png

%Changelog
* Sun Mar 27 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-2mdk
- %%mkrel

* Sun Mar 27 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-1mdk
- New version

* Fri Feb 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.2-1mdk
-initial package
